
namespace eval ::Imago {
  variable thisScriptFilename [file normalize [info script]]
  variable imagoScriptDir [file dirname $thisScriptFilename]
}

source [file join $::Imago::imagoScriptDir "imago-common.tcl"]

set imago_config [::Imago::load_config]

set status [ SclFunction "CHECK DATABASE CONNECTED" {
  databasesession="GeologyDatabase"
  databasepurpose="drillholes"
  databasehandle="GEOLOGY"
}]

set DisplayDetails "on"
set MarkerLocation "location"

set keep_selecting 1
while { $keep_selecting } {
  set scl_result [SclDrillholeSelect "Choose a point on a drillhole" $DisplayDetails $MarkerLocation HoleID HoleDepth]

  if { $scl_result > 0 } {
    puts $HoleID
    puts $HoleDepth

    set workspace [::Imago::get_config_value imago_config "workspace"]
    set dataset [::Imago::get_config_value imago_config "dataset"]
    set imagery_group_type [::Imago::get_config_value imago_config "imagery_group_type"]
    set imagery_type [::Imago::get_config_value imago_config "imagery_type"]
    set entity $HoleID
    set depth_to_use [format "%.2f" $HoleDepth]

    puts "Showing drillhole imagery:"
    puts "Workspace: $workspace"
    puts "Dataset: $dataset"
    puts "Imagery Group Type: $imagery_group_type"
    puts "Imagery Type: $imagery_type"
    puts "Entity: $entity"
    puts "Depth: $depth_to_use"

    set url "https://portal.imago.live/api/display?pj=${workspace}&da=${dataset}&de=${entity}&ds=${imagery_group_type}&im=${imagery_type}&dp=${depth_to_use}"
    puts "url: $url"

    ::Imago::invoke_browser $url

  } else {
    set keep_selecting 0
  }

}

#set status [ SclFunction "SELECT HOLE" {
#  report="on"
#  marker="collar"
#}]


